Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version: 5.0.3   

Description

Rails team released new versions of rails that fixes CVE-2022-32224 security issue (

https://discuss.rubyonrails.org/t/cve-2022-32224-possible-rce-escalation-bug-with-serialized-columns-in-active-record/81017).

Updated version is not backward compatible, application should explicitly enable permitted classes for YAML serialization:

config.active_record.yaml_column_permitted_classes: [Symbol]

Related issues:

Related to Redmine - Defect #37719: Broken serialized columns, if saved time ... Closed

Copied to Redmine - Patch #37465: Update Rails to 5.2.8.1 Closed

Associated revisions

Revision 21718 - 2022-07-19 16:16 - Go MAEDA

Update Rails to 6.1.6.1 (#37452).

Revision 21720 - 2022-07-19 18:01 - Go MAEDA

Merged r21718 from trunk to 5.0-stable (#37452).

Revision 21804 - 2022-09-13 07:24 - Go MAEDA

Update Rails to 6.1.7 (#37452).

Revision 21805 - 2022-09-13 07:28 - Go MAEDA

Merged r21804 from trunk to 5.0-stable (#37452).

Revision 21863 - 2022-09-28 08:36 - Go MAEDA

Fix Psych::DisallowedClass exception when loading plugin settings saved with Rails 4.2 (#37452, #37719).

Patch by Alexander Meindl.

Revision 21864 - 2022-09-28 08:37 - Go MAEDA

Merged r21863 from trunk to 5.0-stable (#37452, #37719).

History

#1 - 2022-07-19 15:36 - Go MAEDA

- Tracker changed from Feature to Patch

- Subject changed from Update Rails to recent versions to Update Rails to 6.1.6.1

- Category changed from Gems support to Rails support

- Target version set to 5.0.3

#2 - 2022-07-19 15:37 - Go MAEDA

- Copied to Patch #37465: Update Rails to 5.2.8.1 added

#3 - 2022-07-19 17:25 - Go MAEDA

To use Rails 6.1.6.1 on Ruby 2.5, psych must be updated to version 3.1.0 or higher. See Rails 6.1.6.1 with Ruby 2.5 throws ArgumentError: unknown

keywords: permitted_classes, aliases · Issue #45590 · rails/rails for details.
===================================================================

--- Gemfile    (リビジョン 21718)

+++ Gemfile    (作業コピー)

@@ -3,7 +3,7 @@

 ruby '>= 2.5.0', '< 3.2.0'

 gem 'bundler', '>= 1.12.0'

-gem 'rails', '6.1.6'

+gem 'rails', '6.1.6.1'

 gem 'globalid', '~> 0.4.2' if Gem.ruby_version < Gem::Version.new('2.6.0')

 gem 'rouge', '~> 3.28.0'

 gem 'request_store', '~> 1.5.0'

@@ -22,6 +22,7 @@

 gem 'net-smtp', '~> 0.3.0'

 gem 'net-imap', '~> 0.2.2'

 gem 'net-pop', '~> 0.1.1'

+gem 'psych', '>= 3.1.0' if Gem.ruby_version < Gem::Version.new('2.6.0')

 # Windows does not include zoneinfo files, so bundle the tzinfo-data gem

 gem 'tzinfo-data', platforms: [:mingw, :x64_mingw, :mswin]

#5 - 2022-07-19 18:02 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Updated Rails for trunk and 5.0-stable.

#6 - 2022-09-13 07:25 - Go MAEDA

- Subject changed from Update Rails to 6.1.6.1 to Update Rails to 6.1.7

#7 - 2022-09-28 07:27 - Go MAEDA

- Related to Defect #37719: Broken serialized columns, if saved time was with Rails 4.2 added
